<template>
  <sail-page type="loading-view" title="查看详情" isHead>
    <div slot="content">
        <div class="system-detail-wrap">
        	<div>
            <h1 class="system-header">{{systemDetail.title}}</h1>
        		<h4 class="system-sub-header">{{systemDetail.createTime}}</h4>
        		<div class="system-content" v-html="systemDetail.content"></div>
        	</div>
        </div>
    </div>
  </sail-page>
</template>

<script>

import sailPage from "@/components/sail-page.vue";
//import version from "@/common/widget/version.vue";
import { mapState } from "vuex";

export default {
  components: {
    sailPage,
    //version,
  },
  computed: {
    ...mapState({
      systemDetail: state => state.messageModule.systemDetail,
    })
  },
  asyncData({store, route}) {
    let id = route.params.id;
    let userRecordId = route.params.userRecordId;
    
    if(userRecordId === "null") {
      //
      userRecordId = null;
    }
    return store.dispatch("messageModule/findDetailOnCAPP", {
      id,
      userRecordId
    }).then(res => {
         
    });
  },
  data: function(){
    return {
        
    }; 
  },
  methods: {
      
  }
};
</script>
<style lang="less">
  
</style>
<style lang="less" scoped>
  .system-detail-wrap {
      .system-header {
          color: #333;
          font-size: 18px;
          text-align: left;
          font-weight: bold;
          padding-left: 15px;
          padding-top: 20px;
      }
      .system-sub-header {
          color: #AFAFAF;
          font-size: 12px;
          text-align: left;
          padding-left: 15px;
      }
      .system-content {
        text-indent: 35px;
        margin-top: 10px;
        text-align: left;
      }
  }
</style>